%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(DBD/CSV.pm) perl(DBI.pm) perl(Date/Manip.pm) perl(Date/Parse.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(HTML/Entities.pm) perl(HTML/LinkExtor.pm) perl(HTML/Parser.pm) perl(IO/File.pm) perl(IO/Scalar.pm) perl(LWP/RobotUA.pm) perl(MIME/Entity.pm) perl(MIME/Parser.pm) perl(Mail/Mailer.pm) perl(Mail/RBL.pm) perl(Net/POP3.pm) perl(NetAddr/IP.pm) perl(Params/Validate.pm) perl(PerlIO/gzip.pm) perl(Pod/Usage.pm) perl(Storable.pm) perl(Template/Exception.pm) perl(Template/Plugin.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/CSV_XS.pm) perl(Tie/NetAddr/IP.pm) perl(URI/URL.pm) perl(WWW/Google/Groups.pm) perl(WWW/Mechanize.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 1.026
%define module_name Mail-Abuse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.026
Release: alt1
Summary: Helps parse and respond to miscellaneous abuse complaints
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LU/LUISMUNOZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module and the accompaining software can be used to automatically
parse and respond to various formats of abuse complaints. This
software is geared towards abuse desk administrators who need
sophisticated tools to deal with the complains.

`Mail::Abuse' is actually a bundle of modules that provide various
services. This documentation provides a general description of the
functions provided by each one. No useful code is provided in the
`Mail::Abuse' module, appart from this documentation and the version
information below.

The following classes/packages are part of this distribution.

=over

=item `Mail::Abuse::Report'

A report is a collection made of the received report and ths incidents
it describes. See the Mail::Abuse::Report manpage for more information.

=item `Mail::Abuse::Incident'

An incident is each of the individual policy violations that are
presented in a given report. A report should have at least, one
incident. See the Mail::Abuse::Incident manpage for more information.

=item `Mail::Abuse::Processor'

Once the reports are analyzed and its incidents are extracted, you
will want to do something with the information. This is the job of a
processor. See the Mail::Abuse::Processor manpage for more information.

=item `Mail::Abuse::Reader'

Abuse reports can be fetched from a variety of places and through
various protocols. This is what readers do: Read a report. See
the Mail::Abuse::Reader manpage for more information.

=item `Mail::Abuse::Filter'

An abuse report might contain incidents that are not to be handled by
us. A filter remove incidents that does not belong to our network. See
the Mail::Abuse::Filter manpage for more information.

=back

All of the modules take a lot of their configuration information from
a specially formatted file.

This distribution also includes a number of scripts. See the `bin/'
directory for more information.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/T*
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 1.026-alt1
- initial import by package builder

